#ifdef MXX
#include "datatype.h"  
#include "debug.h"  
#include "mutant.h"  
#endif


#ifdef MXX

extern ConfProtData CPD; /* see confprot.c */

int	Mutant(int m)
{
	int	i = 0;

	for (i = 0; i < CPD->nmutants; i++) {
		if (m == CPD->mutant[i].id) {
			if (CPD->mutant[i].Steps < CPD->mutant[i].Enable) {
				WriteMSG("MUTANT(%d) Passed(%d)\n", m, CPD->mutant[i].Steps);
				CPD->mutant[i].Steps++;
				return(0);
			} else if ((CPD->mutant[i].Disable != -1) &&  (CPD->mutant[i].Steps >= CPD->mutant[i].Enable + CPD->mutant[i].Disable)) {
				WriteMSG("MUTANT(%d) inactive\n", m);
				CPD->mutant[i].Steps = 0;
				return(0);
			} else
			 {
				WriteMSG("MUTANT(%d) active\n", m);
				CPD->mutant[i].Steps = (CPD->mutant[i].Steps + 1) % 200;
				return(1);
			}
		}
	}
	return(0);
}
#endif

